import type * as ConfigTypes from './types/config';
declare type Props = Omit<Required<ConfigTypes.Config>, 'antialias'>;
/**
 * Creates a particle cloud with various config options
 */
declare const ParticleField: ({ boundaryType, cameraControls, dimension, direction, lines, particles, showCube, velocity, }: Props) => JSX.Element;
export default ParticleField;
