import initialConfig from './config';
import type { Config } from './types/config';
declare type Props = {
    config?: Config;
};
/**
 * Creates a 2D/3D particle field with react-three-fiber, three.js and WebGL
 *
 * Documentation on the configuration object can be found in the github repo
 * @see https://github.com/tim-soft/react-particles-webgl
 *
 * For a real-time configuration generator and various demos
 * @see https://timellenberger.com/particles
 */
declare const ParticleCanvas: ({ config }: Props) => JSX.Element;
export { ParticleCanvas as Particles, initialConfig as defaultConfig };
export declare type ParticlesConfig = Config;
