import { BufferGeometry, ShaderMaterial } from 'three';
import type { Particles, Lines } from '../types/config';
declare type ComputeLinesParams = {
    lines: Lines;
    particles: Particles;
};
declare type ComputeLines = [
    BufferGeometry,
    ShaderMaterial,
    Float32Array,
    Float32Array
];
declare const computeLines: ({ lines, particles, }: ComputeLinesParams) => ComputeLines;
export default computeLines;
